<template>
    <Container :max-height="1" class="column">
        <div>
            <q-item>
                <q-item-section avatar>
                    <q-avatar v-if="sub != null" :style="`background: ${sub.principal.color}`" size="64px">
                        <img :src="sub.principal.logo" :alt="Avatar" style="width: 50px; height: 50px;" class="bg-base">
                    </q-avatar>
                    <q-skeleton v-else type="QAvatar"/>
                </q-item-section>
                <q-item-section>
                    <q-item-label v-if="sub != null" class="text-h5"> {{ sub.principal.name }}</q-item-label>
                    <q-skeleton v-else type="text"/>
                    <q-item-label v-if="sub != null" caption>
                        {{ sub.principal.id }}
                    </q-item-label>
                    <q-skeleton v-else type="text"/>
                </q-item-section>
            </q-item>
        </div>
        <q-scroll-area class="col" v-if="sub != null">
            <MetaData :meta="sub.principal.meta" class="full-width"/>
        </q-scroll-area>
        <q-skeleton class="col" v-else/>
        <q-separator/>
        <div>
            <q-card-actions align="around">
                <q-btn icon="edit" label="edit" color="primary" flat v-if="sub != null"
                       :to="`/subcontractor/edit/${sub.principal.id}`"

                />
                <q-skeleton v-else type="QBtn"/>
                <q-btn outline icon="delete" label="delete" color="negative" v-if="sub != null"
                       @click="$emit('delete')"
                />
                <q-skeleton v-else type="QBtn"/>
            </q-card-actions>
        </div>
    </Container>
</template>
<style lang='scss' scoped>

</style>
<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {SubContractorResponse} from "src/classLibrary/APIModels/core/subContractorResponse";
import Container from "components/Core/Container.vue";
import {GenerateAvatar} from "src/classLibrary/AvatarGenerator";
import MetaData from "components/Entities/MetaData.vue";

@Component({
    components: {MetaData, Container}
})
export default class SubContractorMobile extends Vue {
    @Prop() sub!: SubContractorResponse | null;

    get Avatar() {
        return GenerateAvatar(this.sub?.principal.name ?? "A")
    }
}
</script>


